List consumer EcoLetter history
curl --request GET \
--url https://api.hub.younegotiate.com/manage-consumers/{consumer}/e-letters \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hub.younegotiate.com/manage-consumers/{consumer}/e-letters"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hub.younegotiate.com/manage-consumers/{consumer}/e-letters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 901,
"e_letter": {
"id": 123,
"type": {
"label": "CFPB With QR"
}
},
"eco_type": {
"label": "CFPB Template"
},
"sent_at": "2023-11-07T05:31:56Z",
"delivered_at": "2023-11-07T05:31:56Z",
"communication_status": {
"label": "Viewed"
},
"enabled": true,
"read_by_consumer": true,
"actions": {
"can_view": false,
"can_download_cfpb": false
},
"action_items": [
{
"label": "<string>",
"available": true
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"current_page": 1,
"from": 1,
"last_page": 1,
"per_page": 25,
"to": 10,
"total": 10
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}List consumer EcoLetter history
Return read-only EcoLetter History tab rows for the Superadmin consumer detail page. Preview/download action metadata is disabled for Superadmin.
GET
/
manage-consumers
/
{consumer}
/
e-letters
List consumer EcoLetter history
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Consumer ID.
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Last modified on July 20, 2026
Was this page helpful?
⌘I

